#include <stdio.h>
#include <iostream>
#include <set>
#include <string>
#include <vector>
#include <algorithm>

using namespace std;

// Judge Solution by Jesus Ramos Problem Common Permutation

// Solution :
// To find the common permutation between two strings
// take each character from the first string and find
// the number of occurrences in the second string.
// Take the minimum of those and that's how many of that
// character are in the common permutation
// To print the solution correctly you must sort
// the letters that you found to be in the common
// permutation


// Count the number of characters c in string str
int count_chars(string str, char c)
{
    int count = 0;
    for (int i = 0; i < str.size(); i++)
        if (str[i] == c)
            count++;
    return count;
}

int main()
{
    string a, b;
    while (getline(cin, a) && getline(cin, b))
    {
        vector<char> res; // holds the characters that are in the common permutation
        set<char> seen; // prevents reusing the same characters multiple times
        string s_a = a;
        string s_b = b;
        if (b.size() < a.size())
        {
            s_b = a;
            s_a = b;
        }
        for (int i = 0; i < s_a.size(); i++)
        {
            if (!seen.count(s_a[i]))
            {
                seen.insert(s_a[i]);
                int c_a = count_chars(s_a, s_a[i]);
                int c_b = count_chars(s_b, s_a[i]);
                int c = (c_a < c_b) ? c_a : c_b; // take the minimum of the number of characters found in each string
                for (int j = 0; j < c; j++)
                    res.push_back(s_a[i]);
            }
        }
        sort(res.begin(), res.end()); //sort the permutation
        for (int i = 0; i < res.size(); i++)
            printf("%c", res[i]);
        printf("\n");
    }
    return 0;
}
